Package fr.gouv.vitam.common.model.processing

# Enum Class DistributionKind

java.lang.Object
java.lang.Enum<DistributionKind>
fr.gouv.vitam.common.model.processing.DistributionKind

All Implemented Interfaces:
  `Serializable`, `Comparable<DistributionKind>`, `Constable`

public enum DistributionKind extends Enum<DistributionKind>
Enum of kind for distributor

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LIST_IN_DIRECTORY`
  Distribution by List defined in a directory.
  `LIST_IN_FILE`
  Distribution by List (workspace or other kind of lists)
  `LIST_IN_JSONL_FILE`
  Distribution by list defined in JSONL file.
  `LIST_ORDERING_IN_FILE`
  Distribution by List defined in a file.
  `REF`
  Distribution by reference, so 1 item only

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isDistributed()`
  isDistributed
  `String`
  `value()`
  value(), get the value of DistributionKind
  `static DistributionKind`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DistributionKind[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### REF

    public static final DistributionKind REF
    Distribution by reference, so 1 item only

  - ### LIST_IN_FILE

    public static final DistributionKind LIST_IN_FILE
    Distribution by List (workspace or other kind of lists)

  - ### LIST_ORDERING_IN_FILE

    public static final DistributionKind LIST_ORDERING_IN_FILE
    Distribution by List defined in a file.

  - ### LIST_IN_DIRECTORY

    public static final DistributionKind LIST_IN_DIRECTORY
    Distribution by List defined in a directory.

  - ### LIST_IN_JSONL_FILE

    public static final DistributionKind LIST_IN_JSONL_FILE
    Distribution by list defined in JSONL file.

- ## Method Details

  - ### values

    public static DistributionKind[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DistributionKind valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    value(), get the value of DistributionKind
    Returns:
      the value as String

  - ### isDistributed

    public boolean isDistributed()
    isDistributed
    Returns: